instance.get("token", { withCredentials: true})
    .then(function(response) { location.href="html/home.html"; })
    .catch(function(error){

    });

document.getElementById("signin").addEventListener("submit", function(evt){
    evt.preventDefault();
    var pseudo = document.getElementById("floatingPseudo");
    var password = document.getElementById("floatingPassword");
    if((password.value.length > 0) || (pseudo.value.length > 0)){
        instance.get("token", { auth : {username: pseudo.value, password: password.value}, withCredentials: true})
            .then(function(response) { location.href="html/home.html"; })
            .catch(function(error){

                switch (error.response.status){
                    case 406:
                        id = "alertPassword";
                        break;
                    case 404:
                        id = "alertUsername";
                        break;
                    case 403:
                        id = "alertDisable";
                        break;
                    case 410:
                        id = "alertToken";
                        break;
                    case 500:
                        id = "alertServer"
                        break;
                    default:
                        id = "alertUnknown";
                        break;
                }                
                document.getElementById(id).classList.remove("hidden");
            
            });
    }
});

var btnclose = document.getElementsByClassName("btn-close");
for (var i = 0; i<btnclose.length; i++){
   btnclose[i].addEventListener("click", function(){
        var alertt = document.getElementsByClassName("alert");
        for (var j=0; j<alertt.length; j++){
            if(!alertt[j].classList.contains("hidden")){
                alertt[j].classList.add("hidden");
            }
        }
    });
}
